Eclipse Platform Release 3.7

## org.eclipse.ui.texteditor
Class ConfigurationElementSorter

    java.lang.Object
      org.eclipse.ui.texteditor.ConfigurationElementSorter

    public abstract class ConfigurationElementSorter

extends Object

Allows to sort an array based on their elements' configuration elements according to the prerequisite relation of their defining plug-ins.

This class may be subclassed.

Since:
  3.0

Constructor Summary
`ConfigurationElementSorter()`

Method Summary
`abstract IConfigurationElement` `getConfigurationElement(Object object)` Returns the configuration element for the given object.
`void` `sort(Object[] elements)` Sorts the given array based on its elements' configuration elements according to the prerequisite relation of their defining plug-ins.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationElementSorter

    public ConfigurationElementSorter()

Method Detail

### sort

    public final void sort(Object[] elements)

  Sorts the given array based on its elements' configuration elements according to the prerequisite relation of their defining plug-ins.

  Parameters:
    `elements` - the array to be sorted

### getConfigurationElement

    public abstract IConfigurationElement getConfigurationElement(Object object)

  Returns the configuration element for the given object.

  Parameters:
    `object` - the object
  Returns:
    the object's configuration element, must not be `null`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.